Mute a Call
Mute a specific member in an active call.
Request URL
POST {base_url}/{api_path}/call/mute?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| channel_id | Yes | String | The call channel ID of the member to be muted. Note: You can obtain the call channel ID in the (30011) Call State Changed event. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| call_id | String | The unique ID of each call. |
Examples
Request example
Mute extension 1009 in a call.
POST /openapi/v1.0/call/mute?access_token=PMi3lHD1Pe4nczkW15K1BSbhH8oPk48v HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json
{
"channel_id": "PJSIP/1009-00000065"
}Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"call_id": "1648703780.185"
}